Macintosh Download
PC Download
Mac Batman DOOM
PC Batman DOOM
Macintosh necessary utilities
PC necessary utilities

Remember to read the texts files that come with the download!
We recommend playing Batman DOOM with:



If you want to use ZDOOM you must download the following deh fix:

ZDOOM deh fix

The current version of Legacy (1.28) is not compatible with Batman DOOM, yet it does work with version 1.25 but it may expirience minor problems. Vanilla DOOM works too, but it does have a weapon select bug (or at least we have some people writing that it does). You can use Dehacked, BOOM, Legacy 1.25 and ZDOOM to run Batman DOOM.

Back to:

[ Main | TC Info | Characters | Screenshots ]